.TH asmounter 0.2 "25 Mar 1999"
.UC

.SH NAME
\fBasmounter\fP \- AfterStep All-Purpose Mounter

.SH SYNOPSIS
.B asmounter
        [-h]
        [-v]
        [-display \fIdisplay\fP]
        [-c]
        [-s]
        [-w]

.SH DESCRIPTION
\fBAsmounter\fP monitors different mount points and facilitates the mounting
and unmounting of these mount points.  It is a X11 application that is
designed to work with the AfterStep window manager.  The code is loosely
based on wmmount and asmodem and others.  I primarily wrote this program to
gain a rudimentary understanding of X programming so that I may go on to
write better apps for AfterStep (hopefully).

The left mouse button is used to cycle through the mount points, which are
established in the resource file (either ~/.asmounter or
/usr/lib/asmounter/sys.asmounter).  The right mouse button is used to toggle
the mount point (mount/unmount).  The middle mouse button is used to
execute a command related to the mount points (in future versions this will
be mount point specific).

.SH CONFIGURATION OPTIONS
.IP "-h"
.RS	
Prints a help message
.RE
.IP "-v"
.RS	
Prints the version of the program
.RE
.IP "-s"
.RS
Starts \fBasmounter\fP with a shaped window. Useful if you would like to place
\fBasmounter\fP in your Wharf.
.RE
.IP "-w"
.RS
Starts \fBasmounter\fP as a withdrawn window. Useful if you would like to place
\fBasmounter\fP in the Dock of WindowMaker.
.RE
.RE
.IP "-display <name>"
.RS
The name of the display to start the window in.
This works just as does the X Windows display option.
.RE
.RE
.IP "-c"
.RS
This aids the use in creating a resource file to be used by asmounter.
Use this option if you dislike fiddling with config files.  Note: this
may one day be implemented as a GTK GUI if there's enough interest.

.SH EXAMPLES
Here are examples of how to start \fBasmounter\fP from the command line.
  
.nf
asmounter -s &
.fi

.nf
asmounter -display :0.0 &
.fi

.nf
asmounter -c &
.fi

Here is an example of how to start \fBasmounter\fP from within
\fBAfterStep\fP.  It uses the shaped extension.  Place the following line in
your \fI.wharf\fP file in your ~/GNUstep/Library/Afterstep directory.

.nf
*Wharf - - Swallow "asmounter" asmounter -s &
.fi

.SH COPYRIGHT
Copyright (c) 1999 by David Taylor.  No guarantees.  No warrantees.

.SH AUTHORS
Program: David Taylor
.RE
n9506769@scholar.nepean.uws.edu.au

Pixmaps: Chris Lee
.RE
mental0ne@sydcom.net





